if GetLocale() ~= "ruRU" then return end

local lib = LibStub("LibItemBonus-2.0")

if not lib._LOADING then return end


	local ALL_RESISTS = {"ARCANERES", "FIRERES", "FROSTRES", "NATURERES", "SHADOWRES"}
	local ALL_STATS = {"STR", "AGI", "STA", "INT", "SPI"}
lib.patterns = {
	NAMES = {
		STR = "Сила",
		AGI = "Ловкость",
		STA = "Выносливость",
		INT = "Интеллект",
		SPI = "Дух",
		ARMOR = "Броня",
		BASE_ARMOR = "Базовая броня",
		ARMOR_BONUS = "Бонус к броне",

		ARCANERES = "Сопротивление тайной магии",	
		FIRERES 	= "Сопротивление огню",
		NATURERES = "Сопротивление силам природы",
		FROSTRES 	= "Сопротивление магии льда",
		SHADOWRES = "Сопротивление темной магии",

		FISHING 	= "Рыбная ловля",
		MINING 		= "Горное дело",
		HERBALISM = "Травничество",
		SKINNING 	= "Снятие шкур",
		DEFENSE 	= "Рейтинг защиты",

		BLOCK		= "Вероятность блокирования",
		BLOCKVALUE	= "Показатель блокирования",
		DODGE 		= "Уклонения",
		PARRY 		= "Парирования",
		ATTACKPOWER = "Сила атаки",
		ATTACKPOWERUNDEAD = "Сила атаки против нежити",
		ATTACKPOWERBEAST = "Сила атаки против животных",
		ATTACKPOWERFERAL = "Сила атаки - зверь",
		CRIT = "Критический удар",
		RANGEDATTACKPOWER = "Сила атаки дальнего боя",
		RANGEDCRIT = "Крит дальнего боя",
		TOHIT = "Меткость",
		THREATREDUCTION = "Снижение угрозы",

		SPELLPOWER = "Сила заклинаний",
		SPELLCRIT = "Крит заклинаний",
		SPELLTOHIT = "Меткость заклинаний",
		SPELLPEN = "Проникновение заклинаний",
		HOLYCRIT = "Крит святой магией",

		HEALTHREG = "Восстановление здоровья",
		MANAREG = "Восстановление маны",
		HEALTH = "Здоровья",
		MANA = "Маны",

		CR_WEAPON = "Рейтниг оружия",
		CR_DEFENSE = "Рейтниг защиты",
		CR_DODGE = "Рейтинг уклонения",
		CR_PARRY = "Рейтинг парирования",
		CR_BLOCK = "Рейтинг блока",
		CR_HIT = "Рейтинг меткости",
		CR_CRIT = "Рейтинг критического удара",
		CR_HASTE = "Рейтинг скорости боя",
		CR_EXPERTISE = "Рейтинг мастерства",
		CR_RESILIENCE = "Рейтинг устойчивости",
		CR_WEAPON_AXE = "Навыка использования топоров",
		CR_WEAPON_DAGGER = "Навыка использования кинжалов",
		CR_WEAPON_MACE = "Mace skill rating",
		CR_WEAPON_SWORD = "Sword skill rating",
		CR_WEAPON_SWORD_2H = "Two-Handed Swords skill rating",
		CR_ARMOR_PENETRATION = "Рейтинг пробивания брони",
		SNARERES = "Сопротивление сковыванию/опутыванию",
	},

	PATTERNS_SKILL_RATING = {
		{ pattern = "Рейтинг (.*) %+(%d)%" },
		{ pattern = "Увеличивает рейтинг (.*) на (%d+)" },
		{ pattern = "Увеличение на (%d+) ед%. (.*)" },
		{ pattern = "Рейтинг (.*) %+(%d+)%" },
		{ pattern = "увеличение рейтинга (.*) на (%d+)" },
	},

	SKILL_NAMES = {
---		["меткости (заклинания)"] = "CR_SPELLHIT",
		["меткости"] = "CR_HIT",
---		["критического удара (заклинания)"] = "CR_SPELLCRIT",
		["критического удара"] = "CR_CRIT",
		["крит. удара оруж. ближнего боя"] = "CR_CRIT",
		["проникающей способности заклинаний на%."] = "SPELLPEN",
		["проникающей способности заклинаний"] = "SPELLPEN",
		["критического урона атак дальнего боя"] = "CR_RANGEDCRIT",
		["защиты"] = "CR_DEFENSE",
		["устойчивости"] = "CR_RESILIENCE",
		["уклонения"] = "CR_DODGE",
		["блокирования щитом"] = "CR_BLOCK",
		["парирования"] = "CR_PARRY",
		["axe skill"] = "CR_WEAPON_AXE",
		["dagger skill"] = "CR_WEAPON_DAGGER",
		["mace skill"] = "CR_WEAPON_MACE",
		["sword skill"] = "CR_WEAPON_SWORD",
		["two-handed sword skill"] = "CR_WEAPON_SWORD_2H",
		["feral combat skill"] = "CR_WEAPON_FERAL",
		["блокирования щитом"] = "CR_BLOCK",
---		["скорости боя (заклинания)"] = "CR_SPELLHASTE",
		["скорости боя"] = "CR_HASTE",
		["Рукопашный бой"] = "CR_WEAPON_FIST",
		["fist skill"] = "CR_WEAPON_FIST",
		["crossbow skill"] = "CR_WEAPON_CROSSBOW",
		["gun skill"] = "CR_WEAPON_GUN",
		["bow skill"] = "CR_WEAPON_BOW",
		["staff skill"] = "CR_WEAPON_STAFF",
		["two-handed maces skill"] = "CR_WEAPON_MACE_2H",
		["two-handed axes skill"] = "CR_WEAPON_AXE_2H",
		["мастерства"] = "CR_EXPERTISE",
		["пробивания брони"] = "CR_ARMOR_PENETRATION",
	},


	PATTERNS_PASSIVE = {
		{ pattern = "Увеличивает силу атаки дальнего боя на (%d+)%.", effect = "RANGEDATTACKPOWER" },
		{ pattern = "Увеличение силы атаки в дальнем бою на (%d+) ед%.", effect = "RANGEDATTACKPOWER" },
		{ pattern = "Увеличение показателя блока щитом на (%d+) ед%.", effect = "BLOCKVALUE" },
		{ pattern = "Увеличивает показатель блокирования щита на (%d+)%.", effect = "BLOCKVALUE" },
		{ pattern = "Увеличение силы атаки на (%d+) ед. в бою с нежитью%.", effect = "ATTACKPOWERUNDEAD", nofinish = true },
		{ pattern = "Увеличение на (%d+) ед. силы атаки в бою с животными%.", effect = "ATTACKPOWERBEAST" },
		{ pattern = "Повышение силы атаки на (%d+) ед. в бою с демонами%.", effect = "ATTACKPOWERDEMON" },
		{ pattern = "Increases attack power by (%d+) when fighting Elementals%.", effect = "ATTACKPOWERELEMENTAL" }, -- 18310
		{ pattern = "Увеличивает силу атаки на (%d+) в битве с драконами%.", effect = "ATTACKPOWERDRAGON" }, -- 19961
		{ pattern = "Увеличение силы атаки на (%d+) ед. в бою с нежитью и демонами%.", effect = {"ATTACKPOWERUNDEAD", "ATTACKPOWERDEMON"}, nofinish = true }, -- 23206
		{ pattern = "Восполняет (%d+) ед. здоровья раз в 5 секунд%.", effect = "HEALTHREG" },
		{ pattern = "Восполнение (%d+) ед. здоровья раз в 5 сек%.", effect = "HEALTHREG" }, -- 833, 17743
		{ pattern = "Восполнение (%d+) ед. маны в 5 секунд%.", effect = "MANAREG" },
		{ pattern = "Увеличивает силу заклинаний, применяемых против нежити, на (%d+)%.", effect = "SPELLPOWERUNDEAD", nofinish = true }, -- 19812
		{ pattern = "Увеличивает силу заклинаний, применяемых против нежити, на (%d+)%%%.", effect = "MOD_DAMAGE_UNDEAD" }, -- 43072 set bonus
		{ pattern = "Увеличивает силу заклинаний, примененных против нежити и демонов, на (%d+)%.", effect = {"SPELLPOWERUNDEAD", "SPELLPOWERDEMON"}, nofinish = true }, -- 23207

		-- Atiesh related patterns
		{ pattern = "Восполняет (%d+) ед. маны раз в 5 секунд участникам группы или рейда в радиусе %d+ м%.", effect = "MANAREG" },
		{ pattern = "Повышает вероятность нанесения критических ударов всеми участниками группы или рейда в радиусе %d+ м на (%d+)%%%.", effect = "SPELLCRIT" },
        { pattern = "Повышает рейтинг критического поражения заклинаний всех участников группы в радиусе %d+ м на (%d+)%%%.", effect = "SPELLCRIT" },
		
		-- Added for HealPoints
		{ pattern = "Во время произнесения заклинаний мана восполняется со скоростью, равной (%d+)%% от обычной%.", effect = "CASTINGREG"},
		{ pattern = "Сокращает время произнесения заклинания \"Восстановление\" на 0%.(%d+) сек%.", effect = "CASTINGREGROWTH"},
		{ pattern = "Сокращает время произнесения заклинания \"Свет небес\" на 0%.(%d+) сек%.", effect = "CASTINGHOLYLIGHT"},
		{ pattern = "Сокращает время произнесения заклинаний \"Целительное прикосновение\" на 0%.(%d+) сек%.", effect = "CASTINGHEALINGTOUCH"},
		{ pattern = "Сокращает время произнесения заклинаний \"Целительное прикосновение\" и \"Покровительство Природы\" на 0%.(%d+) сек%.", effect = "CASTINGHEALINGTOUCH"},
		{ pattern = "Время наложения заклинания \"Быстрое исцеление\" снижено на 0%.(%d+) сек%.", effect = "CASTINGFLASHHEAL"},
		{ pattern = "Время наложения заклинания \"Цепное исцеление\" снижено на 0%.(%d+) сек%.", effect = "CASTINGCHAINHEAL"},
		{ pattern = "Увеличение длительности заклинания \"Омоложение\" на (%d+) сек%.", effect = "DURATIONREJUV"},
		{ pattern = "Увеличение длительности заклинания \"Обновление\" на (%d+) сек%.", effect = "DURATIONRENEW"},
		{ pattern = "Increases your normal health and mana regeneration by (%d+)%.", effect = "MANAREGNORMAL"},
		{ pattern = "Увеличивает эффект вашего заклинания \"Цепное исцеление\" на цели после первой на (%d+)%%%.", effect = "IMPCHAINHEAL"},
		{ pattern = "Увеличивает количество здоровья, восстанавливаемого заклинанием \"Омоложение\"%, на (%d+)%.", effect = "IMPREJUVENATION"},
		{ pattern = "Увеличивает силу заклинания \"Малая волна исцеления\" на (%d+)%.", effect = "IMPLESSERHEALINGWAVE"},
		{ pattern = "Усиливает эффект исцеления заклинания \"Вспышка Света\" на (%d+)%.", effect = "IMPFLASHOFLIGHT"},
		{ pattern = "После произнесения заклинаний \"Волна исцеления\" или \"Малая волна исцеления\"%, заклинатель с вероятностью 25%% восстанавливает (%d+)%% маны от базового расхода на заклинание%.", effect = "REFUNDHEALINGWAVE"},
		{ pattern = "Исцеление множественных целей заклинанием \"Волна исцеления\"%, способным распространяться на соседние цели. Каждый из двух возможных переходов на соседнюю цель снижает эффект на (%d+)%%%.", effect = "JUMPHEALINGWAVE"},
		{ pattern = "Снижает затраты маны на заклинания \"Целительное прикосновение\"%, \"Омоложение\"%, \"Восстановление\" и \"Спокойствие\" на (%d+)%%%.", effect = "CHEAPERDRUID"},
		{ pattern = "При критическом действии заклинания \"Целительное прикосновение\" у вас восстановится (%d+)%% маны%, затраченной на него%.", effect = "REFUNDHTCRIT"},
		{ pattern = "Снижает затраты маны на ваше заклинание \"Обновление\" на (%d+)%%%.", effect = "CHEAPERRENEW"},

		{ pattern = "Увеличивает проникающую способность заклинаний на (%d+)%.", effect = "SPELLPEN" },
		{ pattern = "Увеличивает силу заклинаний на (%d+)%.", effect = "SPELLPOWER" },
		{ pattern = "Увеличивает силу атаки на (%d+)%.", effect = "ATTACKPOWER" },
		{ pattern = "Увеличивает силу атаки на (%d+) в облике кошки, медведя, лютого медведя или лунного совуха%.", effect = "ATTACKPOWERFERAL" },
		-- { pattern = "Restores (%d+) health every 4 sec%.", effect = "HEALTHREG" }, -- 6461 (typo ?)
		{ pattern = "Увеличение уровня эффективного действия незаметности на (%d+)%.", effect = "STEALTH" },
		{ pattern = "Повышение скорости атаки в дальнем бою на (%d+)%%%.", effect = "RANGED_SPEED_BONUS" }, -- bags are not scanned
		{ pattern = "Повышает выносливость участников группы в радиусе %d+ м на (%d+)%.", effect = "STA" }, -- 4248
		{ pattern = "Повышение скорости плавания на (%d+)%%%.", effect = "SWIMSPEED" }, -- 7052
		{ pattern = "Увеличение скорости передвижения верхом на (%d+)%%%.", effect = "MOUNTSPEED" }, -- 11122
		{ pattern = "Повышение скорости бега на (%d+)%%%.", effect = "RUNSPEED" }, -- 13388
		{ pattern = "Decreases your chance to parry an attack by (%d+)%%%.", effect = "NEGPARRY" }, -- 7348
		{ pattern = "Increases your chance to resist Stun and Fear effects by (%d+)%%%.", effect = {"STUNRESIST", "FEARRESIST"} }, -- 17759
		{ pattern = "Увеличивает вероятность противостоять действию эффектов категории \"Страх\" на (%d+)%%%.", effect = "FEARRESIST" }, -- 28428, 28429, 28430
		{ pattern = "Увеличение на (%d+)%% вероятности не подвергнуться действию оглушающих и дезориентирующих эффектов%.", effect = {"STUNRESIST", "DISORIENTRESIST"} }, -- 23839
		{ pattern = "Увеличение скорости передвижения верхом на (%d+)%%%.", effect = "MOUNTSPEED" }, -- 25653
		{ pattern = "Снижение урона, получаемого в ближнем бою, на (%d+)%.", effect = "MELEETAKEN" }, -- 31154
		{ pattern = "Получаемый урон от заклинаний снижается на (%d+) ед%.", effect = "DMGTAKEN" }, -- 22191
	},

	SEPARATORS = { "/", ",", "&", " и "},

	GENERIC_PATTERNS = {
		["^(.+): %+(%d+)$"] = false,
		["^(.+): (%d+)$"] = false,
		["^%+?(%d+)% к ?(.*)"]	= true,
		["^%+?(%d+)% ?(.*)"]	= true,
	--	["^%+?(%d+)%%?(.*)"]	= true,
		["^(.*)%+?(%d+)%%?"]	= true,
	--	["^(.*):%+?(%d+)$"]	= true,
		["^(.*): %+(%d+)$"] = false,
		["^(.*): (%d+)$"] = false,
	},

	PATTERNS_GENERIC_LOOKUP = {
		["ко всем характеристикам"] = ALL_STATS,
		["к силе"] = "STR",
		["к ловкости"] = "AGI",
		["к выносливости"] = "STA",
		["к интеллекту"] = "INT",
		["к духу"] = "SPI",

		["ко всем видам сопротивления"] = ALL_RESISTS,
		["Сопротивление всему"] = ALL_RESISTS,

		["к навыку рыбной ловли"] = "FISHING",
		["Приманка"] = "FISHING",
		["Навык рыбной ловли увеличивается на"] = "FISHING",
		["к навыку горного дела"] = "MINING",
		["к навыку травничества"] = "HERBALISM",
		["к навыку снятия шкур"] = "SKINNING",
		["к рейтингу защиты"] = "CR_DEFENSE",
		["Повышение защиты"] = "DEFENSE",

		["к силе атаки"] = "ATTACKPOWER",
		["к силе атаки против нежити"] = "ATTACKPOWERUNDEAD",

		["Уклонение"] = "DODGE",
		["Блок"] = "BLOCKVALUE",
		["к показателю блокирования"] = "BLOCKVALUE",
		["Рейтинг блокирования щитом"] = "CR_BLOCK",
		["Попадание"] = "TOHIT",
		["Блокирование"] = "BLOCK",
		["к силе атаки дальнего боя"] = "RANGEDATTACKPOWER",
		["ед. здоровья раз в 5 секунд"] = "HEALTHREG",
		["ед. здоровья раз в 5 сек"] = "HEALTHREG",
		["Крит"] = "CRIT",
		["критический удар"] = "CRIT",
		["Здоровье"] = "HEALTH",
		["ЗД"] = "HEALTH",
		["Мана"] = "MANA",
		["Броня"] = "BASE_ARMOR",
		["Усиление брони"] = "ARMOR_BONUS",
		["Устойчивость"] = "CR_RESILIENCE",
		["Проникающая способность заклинаний"] = "SPELLPEN",
		["к рейтингу меткости"] = "CR_HIT",
		["к рейтингу защиты"] = "CR_DEFENSE",
		["к рейтингу устойчивости"] = "CR_RESILIENCE",
		["к рейтингу мастерства"] = "CR_EXPERTISE",
		["Рейтинг критического удара"] = "CR_CRIT",
		["Рейтинг критического удара"] = "CR_CRIT",
		["к рейтингу критического удара"] = "CR_CRIT",
		["к рейтингу уклонения"] = "CR_DODGE",
		["к рейтингу парирования"] = "CR_PARRY",
		["к рейтингу скорости"] = "CR_HASTE",
		["к рейтингу пробивания брони"] = "CR_ARMOR_PENETRATION",
		["маны каждые 5 сек"] = "MANAREG",
		["маны в 5 секунд"] = "MANAREG",
		["маны каждые 5 секунд"] = "MANAREG",
		["маны в 5 сек"] = "MANAREG",
		["маны в 5 сек"] = "MANAREG",
		["маны каждые 5 сек"] = "MANAREG",
		["Восп. маны"] = "MANAREG",
		["Melee Damage"] = "MELEEDMG",
		["Урон от оружия"] = "MELEEDMG",
		["Сопротивление всему"] = ALL_RESISTS,
		["Сниженная угроза"] = "THREATREDUCTION",
		["Two-Handed Axe Skill Rating"] = "CR_WEAPON_AXE_2H",
		["Сопротивление оглушению"] = "STUNRESIST",
		["к силе заклинаний"] = "SPELLPOWER",
	},

	PATTERNS_GENERIC_STAGE1 = {
		{ pattern = "Тайная магия", 	effect = "ARCANE" },
		{ pattern = "тайная магия", 	effect = "ARCANE" },
		{ pattern = "Тайная магия", 	effect = "ARCANE" },
		{ pattern = "огонь", 	effect = "FIRE" },
		{ pattern = "магия огня", 	effect = "FIRE" },
		{ pattern = "Огонь", 	effect = "FIRE" },
		{ pattern = "лед", 	effect = "FROST" },
		{ pattern = "магия льда", 	effect = "FROST" },
		{ pattern = "Лед", 	effect = "FROST" },
		{ pattern = "свет", 	effect = "HOLY" },
		{ pattern = "светлая магия", 	effect = "HOLY" },
		{ pattern = "Свет", 	effect = "HOLY" },
		{ pattern = "тьма",	effect = "SHADOW" },
		{ pattern = "темная магия",	effect = "SHADOW" },
		{ pattern = "Тень",	effect = "SHADOW" },
		{ pattern = "природа", 	effect = "NATURE" }
		{ pattern = "природная магия", 	effect = "NATURE" }
		{ pattern = "Природа", 	effect = "NATURE" }
	},

	PATTERNS_GENERIC_STAGE2 = {
		{ pattern = "Сопрот.", 	effect = "RES" },
		{ pattern = "Урон", 	effect = "SPELLPOWER" },
	},

	PATTERNS_OTHER = {
		{ pattern = "Доспех усилен %(%+(%d+) к броне%)", effect = "ARMOR_BONUS" },
		{ pattern = "Восполнение (%d+) ед. маны каждые 5 сек%.", effect = "MANAREG" },
		{ pattern = "Восполнение (%d+) ед. маны каждые 5 секунд%.", effect = "MANAREG" },

		{ pattern = "Возможность дышать под водой%.", effect = "UNDERWATER", value = 1 }, -- 10506
		{ pattern = "Небольшое повышение способности взлома замков%.", effect = "LOCKPICK", value = 1 }, --4248
		{ pattern = "Умеренно улучшает вашу способность обнаруживать незаметных существ.%.", effect = "STEALTHDETECT", value = 18 }, -- 10501
		{ pattern = "Слегка улучшает вашу способность обнаруживать незаметных существ%.", effect = "STEALTHDETECT", value = 10 }, -- 22863, 23280, 31333
		{ pattern = "Длительность обезоруживания уменьшена на (%d+)%%%.", effect = "DISARMREDUCTION" }, -- 12639
		{ pattern = "Небольшое повышение скорости при беге и плавании%.", effect = {"RUNSPEED", "SWIMSPEED"}, value = {8,8} }, -- 19685
		{ pattern = "Снижает урон от падения%.", effect = "SLOWFALL", value = 1 }, -- sp 24350
		{ pattern = "Увеличение скорости передвижения и восполнения здоровья%.", effect = {"RUNSPEED", "HEALTHREG"}, value = {8,20} }, -- 13505
		{ pattern = "Небольшое увеличение скорости бега%.", effect = "RUNSPEED", value = 8 }, -- 20048, 25835, 29512
		{ pattern = "Слегка увеличивает вашу способность \"Незаметность\"%.", effect = "STEALTH", value = 3 }, -- 21758
		{ pattern = "Повышение уровня незаметности%.", effect = "STEALTH", value = 8 }, -- 22003, 23073
		{ pattern = "Слегка улучшает вашу силу заклинаний%.", effect = "SPELLPOWER", value = 6 }, -- 30804

--		{ pattern = "Остальные восхитятся вашим чувством стиля%!", effect = "IMPRESS", value = 1 }, -- 10036
--		{ pattern = "Увеличение эффективности заклинаний%.", effect = "MOJO", value = 1 }, -- 23717
	},
}
